package com.flyfish.framework.annotations;

import java.lang.annotation.*;

/**
 * 字段映射
 *
 * @author wangyu
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface MappedTo {

    /**
     * 映射到字段，复制值
     *
     * @return 字段名
     */
    String value() default "";

    /**
     * 表达式，支持js，json。支持表达式占位value
     *
     * @return 表达式
     */
    String expression() default "";
}
